/// <reference types="node" />
import EventEmitter from 'events';
import { Bridge } from './Bridge';
export type TestBridge = [
    {
        action: 'add';
        sendable: {
            payload: {
                oneTo: number;
            };
            response: {
                result: number;
            };
        };
    },
    {
        action: 'timeout';
        sendable: {
            payload: {
                afterMs: number;
            };
            response: {
                afterMs: number;
            };
        };
    },
    {
        action: 'throw';
        sendable: {
            payload: {
                errorMessage: string;
            };
            response: void;
        };
    },
    {
        action: 'multiply';
        receivable: {
            payload: {
                byTen: number;
            };
            response: {
                result: number;
            };
        };
    }
];
export declare function createTestBridge(): {
    emitter: EventEmitter<[never]>;
    local: Bridge<TestBridge, "_none">;
    remote: Bridge<[{
        action: "add";
        receivable: {
            payload: {
                oneTo: number;
            };
            response: {
                result: number;
            };
        };
    } | {
        action: "add";
        receivable: {
            payload: {
                oneTo: number;
            };
            response: {
                result: number;
            };
        };
        sendable: {
            payload: any;
            response: any;
        };
    }, {
        action: "timeout";
        receivable: {
            payload: {
                afterMs: number;
            };
            response: {
                afterMs: number;
            };
        };
    } | {
        action: "timeout";
        receivable: {
            payload: {
                afterMs: number;
            };
            response: {
                afterMs: number;
            };
        };
        sendable: {
            payload: any;
            response: any;
        };
    }, {
        action: "throw";
        receivable: {
            payload: {
                errorMessage: string;
            };
            response: void;
        };
    } | {
        action: "throw";
        receivable: {
            payload: {
                errorMessage: string;
            };
            response: void;
        };
        sendable: {
            payload: any;
            response: any;
        };
    }, {
        action: "multiply";
        sendable: {
            payload: {
                byTen: number;
            };
            response: {
                result: number;
            };
        };
    } | {
        action: "multiply";
        receivable: {
            payload: any;
            response: any;
        };
        sendable: {
            payload: {
                byTen: number;
            };
            response: {
                result: number;
            };
        };
    }], "_none">;
    cleanup: () => void;
};
